# EllipsoidGeometryUpdater

#### new Cesium.EllipsoidGeometryUpdater(entity, scene)
DataSources/EllipsoidGeometryUpdater.js 90

  A `GeometryUpdater` for ellipsoids. Clients do not normally create this class directly, but instead rely on `DataSourceDisplay`.

  Name | Type | Description
  --- | --- | ---
  `entity` | Entity | The entity containing the geometry to be visualized.
  `scene` | Scene | The scene where visualization is taking place.

### Members

#### staticCesium.EllipsoidGeometryUpdater.materialAppearanceType : Appearance
DataSources/EllipsoidGeometryUpdater.js 133

  Gets the type of Appearance to use for material-based geometry.

#### staticCesium.EllipsoidGeometryUpdater.perInstanceColorAppearanceType : Appearance
DataSources/EllipsoidGeometryUpdater.js 125

  Gets the type of Appearance to use for simple color-based geometry.

#### readonlydistanceDisplayConditionProperty : Property
DataSources/EllipsoidGeometryUpdater.js 262

  Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this geometry will be displayed.

#### readonlyentity : Entity
DataSources/EllipsoidGeometryUpdater.js 146

  Gets the entity associated with this geometry.

#### readonlyfillEnabled : Boolean
DataSources/EllipsoidGeometryUpdater.js 158

  Gets a value indicating if the geometry has a fill component.

#### readonlyfillMaterialProperty : MaterialProperty
DataSources/EllipsoidGeometryUpdater.js 185

  Gets the material property used to fill the geometry.

#### readonlygeometryChanged : Boolean
DataSources/EllipsoidGeometryUpdater.js 300

  Gets an event that is raised whenever the public properties of this updater change.

#### readonlyhasConstantFill : Boolean
DataSources/EllipsoidGeometryUpdater.js 170

  Gets a value indicating if fill visibility varies with simulation time.

#### readonlyhasConstantOutline : Boolean
DataSources/EllipsoidGeometryUpdater.js 209

  Gets a value indicating if outline visibility varies with simulation time.

#### readonlyisClosed : Boolean
DataSources/EllipsoidGeometryUpdater.js 289

  Gets a value indicating if the geometry is closed. This property is only valid for static geometry.

#### readonlyisDynamic : Boolean
DataSources/EllipsoidGeometryUpdater.js 276

  Gets a value indicating if the geometry is time-varying. If true, all visualization is delegated to the `DynamicGeometryUpdater` returned by GeometryUpdater#createDynamicUpdater.

#### readonlyoutlineColorProperty : Property
DataSources/EllipsoidGeometryUpdater.js 224

  Gets the `Color` property for the geometry outline.

#### readonlyoutlineEnabled : Boolean
DataSources/EllipsoidGeometryUpdater.js 197

  Gets a value indicating if the geometry has an outline component.

#### readonlyoutlineWidth : Number
DataSources/EllipsoidGeometryUpdater.js 237

  Gets the constant with of the geometry outline, in pixels. This value is only valid if isDynamic is false.

#### readonlyshadowsProperty : Property
DataSources/EllipsoidGeometryUpdater.js 250

  Gets the property specifying whether the geometry casts or receives shadows from each light source.

### Methods

#### createDynamicUpdater(primitives) → DynamicGeometryUpdater
DataSources/EllipsoidGeometryUpdater.js 537

  Creates the dynamic updater to be used when GeometryUpdater#isDynamic is true.

  Name | Type | Description
  --- | --- | ---
  `primitives` | PrimitiveCollection | The primitive collection to use.

  ##### Returns:

  The dynamic updater used to update the geometry each frame.

  ##### Throws:

  - DeveloperError : This instance does not represent dynamic geometry.

#### createFillGeometryInstance(time) → GeometryInstance
DataSources/EllipsoidGeometryUpdater.js 337

  Creates the geometry instance which represents the fill of the geometry.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time to use when retrieving initial attribute values.

  ##### Returns:

  The geometry instance representing the filled portion of the geometry.

  ##### Throws:

  - DeveloperError : This instance does not represent a filled geometry.

#### createOutlineGeometryInstance(time) → GeometryInstance
DataSources/EllipsoidGeometryUpdater.js 391

  Creates the geometry instance which represents the outline of the geometry.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time to use when retrieving initial attribute values.

  ##### Returns:

  The geometry instance representing the outline portion of the geometry.

  ##### Throws:

  - DeveloperError : This instance does not represent an outlined geometry.

#### destroy()
DataSources/EllipsoidGeometryUpdater.js 434

  Destroys and resources used by the object. Once an object is destroyed, it should not be used.

  ##### Throws:

  - DeveloperError : This object was destroyed, i.e., destroy() was called.

#### isDestroyed() → Boolean
DataSources/EllipsoidGeometryUpdater.js 425

  Returns true if this object was destroyed; otherwise, false.

  ##### Returns:

  True if this object was destroyed; otherwise, false.

#### isFilled(time) → Boolean
DataSources/EllipsoidGeometryUpdater.js 324

  Checks if the geometry is filled at the provided time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time for which to retrieve visibility.

  ##### Returns:

  true if geometry is filled at the provided time, false otherwise.

#### isOutlineVisible(time) → Boolean
DataSources/EllipsoidGeometryUpdater.js 313

  Checks if the geometry is outlined at the provided time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time for which to retrieve visibility.

  ##### Returns:

  true if geometry is outlined at the provided time, false otherwise.